For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • GETGets multiple product variants
      • POSTAdds new product variants to a product
      • PATCHUpdates multiple product variants
      • POSTCreate a new Channel Metadata Entry for a given Variant
      • GET Gets Product by Id
      • DELDeletes Bundle and removes associations to related products
      • PATCHUpdate a single product with Json Merge Patch functionality
      • GET Gets Taxonomy by Id
      • GETRetrieves List of Products based on filters provided
      • POSTCreate single product to the store
      • GET Gets Taxonomy
      • POSTUsed to merge two or more variants together
      • PUTUpdate specific channel metadata record from a variant by channel metadata ID
      • DELUsed to delete a specific channel metadata record from a variant by channel metadata ID
      • POSTMigrates variants to existing product
      • GET Gets Taxonomy Parent
      • POSTMigrates existing variants to a new product
      • GETGets Packaging Requirement
      • POSTAdd new product variants to a product
LogoLogo
API ReferenceProducts

Gets Packaging Requirement

||View as Markdown|
GET
https://sandbox-api.shipbob.com/Experimental/packaging-requirement
GET
/Experimental/packaging-requirement
$curl https://sandbox-api.shipbob.com/Experimental/packaging-requirement \
> -H "Authorization: Bearer <token>"
200default
1[
2 {
3 "applicable_categories": [
4 {
5 "id": 0,
6 "sub_category_ids": [
7 0
8 ]
9 }
10 ],
11 "applicable_packaging_material_types": [
12 {
13 "id": 0,
14 "name": "string"
15 }
16 ],
17 "applicable_taxonomy": [
18 "string"
19 ],
20 "description": "string",
21 "id": 0,
22 "name": "string"
23 }
24]
Was this page helpful?
Previous

Migrates existing variants to a new product

Next

Add new product variants to a product

Built with

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token

OR
AuthorizationBearer
OAuth2 authentication using JWT tokens

Response

Success
applicable_categorieslist of objects
applicable_packaging_material_typeslist of objects
applicable_taxonomylist of strings
descriptionstring
idinteger
namestring